package net.alpenblock.bungeeperms.config;

public class ConfigurationOptions
{

    private char pathSeparator = '.';
    private boolean copyDefaults = false;
    private final Configuration configuration;

    protected ConfigurationOptions(Configuration configuration)
    {
        this.configuration = configuration;
    }

    public Configuration configuration()
    {
        return configuration;
    }

    public char pathSeparator()
    {
        return pathSeparator;
    }

    public ConfigurationOptions pathSeparator(char value)
    {
        this.pathSeparator = value;
        return this;
    }

    public boolean copyDefaults()
    {
        return copyDefaults;
    }

    public ConfigurationOptions copyDefaults(boolean value)
    {
        this.copyDefaults = value;
        return this;
    }
}
